# Don't try fancy stuff like debuginfo, which is useless on binary-only
# packages. Don't strip binary too
# Be sure buildpolicy set to do nothing
%define        __spec_install_post %{nil}
%define          debug_package %{nil}
%define        __os_install_post %{_dbpath}/brp-compress

#
# Opt Style Package.
%define	_prefix /usr/local/var/tomcat/6.0-staging
%define tomcat_user httpd
%define tomcat_uid 9130
%define tomcat_group httpd
%define tomcat_gid 130

Summary: Apache Tomcat (UPENN)
Name: upenn-tomcat-staging
Vendor: UPENN
Version: 6.0.44
Release: 6
License: Apache
Group: Development/Tools
Source: http://archive.apache.org/dist/tomcat/tomcat-6/v%{version}/bin/apache-tomcat-%{version}.tar.gz
Patch1: upenn-apache-tomcat-disable-tomcat-authentication.patch
Patch2: upenn-apache-tomcat-staging.patch
URL: http://tomcat.apache.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Prefix: %{_prefix}
Requires: java-openjdk >= 1.6.0.0

%description
The Tomcat Servlet and JSP container implements Sun Microsystems'
Java Servlet 2.5 and Java Server Pages (JSP) 2.1 Specifications.
These are UPENN specific packages.  
%{summary}
Apache Tomcat.
These are UPENN specific packages.  Do not contact apache.org for help!

%prep
# -c create a top level dir
%setup -c
cd apache-tomcat-%{version} 
%patch1 -p1
%patch2 -p1
rm LICENSE NOTICE RELEASE-NOTES RUNNING.txt 
rm -rf webapps/examples 
rm -rf temp/safeToDelete.tmp

%build
# Empty section. -- tomcat doesn't need to be "built" we are using an java binary package

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}/%{_prefix}
cp -a apache-tomcat-%{version}/* %{buildroot}/%{_prefix}

%pre

if ! grep "^%{tomcat_user}:" /etc/group; then
/usr/sbin/groupadd -g %{tomcat_gid} %{tomcat_group}
fi
# Get the gid from /etc/group in case it was created already.
GID=`perl -F: -lane 'print $F[2] if ($F[0] eq q{%{tomcat_group}})' /etc/group`
if ! grep "^%{tomcat_group}:" /etc/passwd; then
/usr/sbin/useradd -c "httpd role user" -g $GID -s /bin/bash -r -M -d %{_prefix}/temp -u %{tomcat_uid} %{tomcat_user}
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,httpd,httpd,-)
%config(noreplace) %{_prefix}/conf/*
%{_prefix}/bin/*
%{_prefix}/lib/*
%{_prefix}/logs
%{_prefix}/temp
%{_prefix}/webapps/*
%{_prefix}/work

%changelog
* Wed Nov 11 2015 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.44-6
- Bump to 6.0.44
* Wed Feb 16 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.26-5
- This is a minor fork to the main package to make it -staging 
* Wed Aug 02 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.26-5
- Disable tomcatauthentication
* Wed Aug 02 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.26-4
- Ownership cleanup
* Wed Aug 02 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.26-3
- Take 2 on role user and group creation.
* Wed Aug 02 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.26-2
- Added role user and group creation, added dependency on openjdk
* Wed Jul 28 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 6.0.26-1
- First attempt at a tomcat rpm
